[Nvidia].run [résolu]

Reconnaissance et configuration du matériel / kernel linux
Répondre
Avatar de l’utilisateur
wido
Chu Ko Nu
Messages : 497
Inscription : mar. 21 oct. 2008, 20:59

[Nvidia].run [résolu]

Message par wido »

Bonjour, est-ce que je peux installer le pilote pour ma carte graphique avec le fichier .run ( http://www.phoronix.com/scan.php?page=n ... &px=Njk3OA ) sans avoir de surprise?
ou dois je attendre que le paquet nvidia soit mis à jour?

C'est pour avoir le support cuda pour BOINC (calcul)
Dernière modification par wido le dim. 11 janv. 2009, 11:44, modifié 1 fois.
Avatar de l’utilisateur
wain
Maître du Kyudo
Messages : 1854
Inscription : ven. 11 août 2006, 19:15
Localisation : Nancy (54)
Contact :

Message par wain »

salut

sans surprise bein... c'est à dire que c'est pas très propre. Mieux vaut éditer toi même le PKGBUILD existant ou attendre la mise à jour. Sinon, tu ne pourras pas garantir que ton système restera propre en le désinstallant et tu auras des conflits lorsque tu voudras réutiliser le paquetage d'arch une fois qu'il sera à jour.
Avatar de l’utilisateur
wido
Chu Ko Nu
Messages : 497
Inscription : mar. 21 oct. 2008, 20:59

Message par wido »

Si je vois que le driver n'est toujours pas mis à jour dans deux semaines , je le signalerais sur bbs.archlinux
Avatar de l’utilisateur
warnaud
Maître du Kyudo
Messages : 1640
Inscription : ven. 11 août 2006, 17:05
Localisation : Rolle (CH)
Contact :

Message par warnaud »

Tu peux marquer le pkg comme obsolète ici : http://www.archlinux.org/packages/extra/i686/nvidia/ ( mais c'est déjà fait :D)
Plus ça rate, plus ça a de chance de réussir. En somme, un succès n'est qu'une erreur qui a finit par réussir (même par erreur). Ne déséspérez donc pas et perseverez. Utilisez La Rache™
Patientia quod lard quod barrus planto diligo ut licentia
—¤÷(`[¤*Powered By *¤]´)÷¤—
Archlinux ~ Fvwm ~ Irssi ~ URxvt
Avatar de l’utilisateur
wido
Chu Ko Nu
Messages : 497
Inscription : mar. 21 oct. 2008, 20:59

Message par wido »

Depuis tout à l'heure je cherche le lien qui mene à cette page :lol: , mais je ne suis pas le premier , pas grave je l'attente avec impatience cette mise à jour :twisted:
Avatar de l’utilisateur
warnaud
Maître du Kyudo
Messages : 1640
Inscription : ven. 11 août 2006, 17:05
Localisation : Rolle (CH)
Contact :

Message par warnaud »

Au "pire" comme disait wain tu peux modifier tranquillou le PKGBUILD en local (+fichier .install) pour te faire cette version.
=> http://repos.archlinux.org/viewvc.cgi/n ... xtra-i686/[/url]
Plus ça rate, plus ça a de chance de réussir. En somme, un succès n'est qu'une erreur qui a finit par réussir (même par erreur). Ne déséspérez donc pas et perseverez. Utilisez La Rache™
Patientia quod lard quod barrus planto diligo ut licentia
—¤÷(`[¤*Powered By *¤]´)÷¤—
Archlinux ~ Fvwm ~ Irssi ~ URxvt
Avatar de l’utilisateur
wido
Chu Ko Nu
Messages : 497
Inscription : mar. 21 oct. 2008, 20:59

Message par wido »

Salut, j'ai testé en le faisant moi même , il y a un problème lors de la compilation.

résultat de la compilation:

Code : Tout sélectionner

==> Création du paquet nvidia 177.82-1 x86_64 (sam. janv. 10 11:37:54 CET 2009)
==> ATTENTION: Lancement de makepkg en root...
==> Vérification des dépendances...
==> Vérification des dépendances pour la compilation...
==> Récupération des sources...
  -> NVIDIA-Linux-x86_64-177.82-pkg0.run trouvé dans le répertoire de compilation
==> Validation des fichiers sources avec md5sums...
    NVIDIA-Linux-x86_64-177.82-pkg0.run ... Réussite
==> Extraction des sources...
==> Suppression du répertoire pkg/ existant...
==> Début de la compilation...
Creating directory NVIDIA-Linux-x86_64-177.82-pkg0
The directory 'NVIDIA-Linux-x86_64-177.82-pkg0' already exists.  Please either
move the existing directory out of the way, or specify a
different directory with the '--target' option.
If you are using a Linux 2.4 kernel, please make sure
you either have configured kernel sources matching your
kernel or the correct set of kernel headers installed
on your system.

If you are using a Linux 2.6 kernel, please make sure
you have configured kernel sources matching your kernel
installed on your system. If you specified a separate
output directory using either the "KBUILD_OUTPUT" or
the "O" KBUILD parameter, make sure to specify this
directory with the SYSOUT environment variable or with
the equivalent nvidia-installer command line option.

Depending on where and how the kernel sources (or the
kernel headers) were installed, you may need to specify
their location with the SYSSRC environment variable or
the equivalent nvidia-installer command line option.

*** Unable to determine the target kernel version. ***

make: *** [select_makefile] Erreur 1
==> ERREUR: La compilation a échoué.
    Abandon...
bash-3.2# makepkg --asroot
==> Création du paquet nvidia 177.82-1 x86_64 (sam. janv. 10 11:39:03 CET 2009)
==> ATTENTION: Lancement de makepkg en root...
==> Vérification des dépendances...
==> Dépendances manquantes:
  -> kernel26<2.6.28
==> Vérification des dépendances pour la compilation...
==> ERREUR: Échec de résolution des dépendances.
fichier pkgbuild:

Code : Tout sélectionner

# $Id$
# Maintainer : Thomas Baechler <thomas@archlinux.org>

pkgname=nvidia
pkgver=177.82
_kernver='2.6.27-ARCH'
pkgrel=1
pkgdesc="NVIDIA drivers for kernel26."
arch=('i686' 'x86_64')
[ "$CARCH" = "i686"   ] && ARCH=x86
[ "$CARCH" = "x86_64" ] && ARCH=x86_64
url="http://www.nvidia.com/"
depends=('kernel26>=2.6.27' 'kernel26<2.6.28' 'nvidia-utils')
conflicts=('nvidia-96xx' 'nvidia-71xx' 'nvidia-legacy')
license=('custom')
install=nvidia.install
source=(http://us.download.nvidia.com/XFree86/Linux-$ARCH/${pkgver}/NVIDIA-Linux-$ARCH-${pkgver}-pkg0.run)
md5sums=('ccd2ddfd83e84661cfb5dd84d28b8684')
[ "$CARCH" = "x86_64" ] && md5sums=('6a6d04411529c8d7616deee3d68c5346')

build()
{
  # Extract
  cd $startdir/src/
  sh NVIDIA-Linux-$ARCH-${pkgver}-pkg0.run --extract-only
  cd NVIDIA-Linux-$ARCH-${pkgver}-pkg0
  
  # Any extra patches are applied in here...

  cd usr/src/nv/
  ln -s Makefile.kbuild Makefile
  make SYSSRC=/lib/modules/${_kernver}/build module || return 1
  
  # install kernel module
  mkdir -p $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/video/
  install -m644 nvidia.ko $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/video/

  sed -i -e "s/KERNEL_VERSION='.*'/KERNEL_VERSION='${_kernver}'/" $startdir/*.install
}
version de mon kernel:

Code : Tout sélectionner

[wido@desktop ~]$ uname -a
Linux desktop 2.6.28-ARCH #1 SMP PREEMPT Tue Jan 6 09:25:48 UTC 2009 x86_64 Intel(R) Core(TM)2 Quad CPU Q9450 @ 2.66GHz GenuineIntel GNU/Linux

EDIT: j'ai modifié:

Code : Tout sélectionner

_kernver='2.6.27-ARCH'
je me demande si il ne faut pas installer le kernel source?

Code : Tout sélectionner

_kernver='2.6.27-ARCH'
par

Code : Tout sélectionner

_kernver='2.6.28-ARCH'
ça ne change rien du tout
Avatar de l’utilisateur
wido
Chu Ko Nu
Messages : 497
Inscription : mar. 21 oct. 2008, 20:59

Message par wido »

J'ai trouvé ce que je cherchais:
http://aur.archlinux.org/packages.php?ID=15152
Mais le problème c'est que je ne peux pas désinstaller le paquet nvidia et nvidia-utils , il veut effacer pas moins de 1,2 Go de paquets installés (dépendances) :shock:
Y a-t-il une procédure pour contourner le problème?
Image
Le_J
Hankyu
Messages : 25
Inscription : ven. 09 janv. 2009, 00:11

Message par Le_J »

Code : Tout sélectionner

pacman -U
doit marcher si c'est juste une mise à jour du paquet mais sinon tu peux désinstaller le paquet sans désinstaller les paquets qui en dépendent avec

Code : Tout sélectionner

pacman -Rd
pour réinstaller après.
Dernière modification par Le_J le dim. 11 janv. 2009, 12:28, modifié 1 fois.
Avatar de l’utilisateur
wido
Chu Ko Nu
Messages : 497
Inscription : mar. 21 oct. 2008, 20:59

Message par wido »

Je mets le sujet en résolu, j'ai retiré certaines dépendances dans le pkgbuild qui bloqué la compilation , CUDA n'a pas l'air installé , mais j'y arriverais :wink:

et merci pour l'aide
Image
Répondre